## org.apache.axis.wsdl.toJava
Class JavaServiceWriter

    java.lang.Object
      |
      +--org.apache.axis.wsdl.toJava.JavaServiceWriter

All Implemented Interfaces:
  Generator

public class JavaServiceWriter
extends java.lang.Object
implements Generator

This is Wsdl2java's Service Writer. It writes the following files, as appropriate: <serviceName>.java, <serviceName>TestCase.java.

Field Summary
`protected Generator` `serviceIfaceWriter`
`protected Generator` `serviceImplWriter`
`protected Generator` `testCaseWriter`

Constructor Summary
`JavaServiceWriter(Emitter emitter, javax.wsdl.Service service, SymbolTable symbolTable)` Constructor.

Method Summary
`void` `generate()` Write all the service bindnigs: service and testcase.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### serviceIfaceWriter

    protected Generator serviceIfaceWriter

### serviceImplWriter

    protected Generator serviceImplWriter

### testCaseWriter

    protected Generator testCaseWriter

Constructor Detail

### JavaServiceWriter

    public JavaServiceWriter(Emitter emitter,
                             javax.wsdl.Service service,
                             SymbolTable symbolTable)

  Constructor.

Method Detail

### generate

    public void generate()
                  throws java.io.IOException

  Write all the service bindnigs: service and testcase.

  Specified by:
    `generate` in interface `Generator`
    `java.io.IOException`

Copyright © 2003 Apache Web Services Project. All Rights Reserved.